<template>
  <section id="mxv-howItWorks" class="container-fluid relative-position bg-white">
    <SectionHeader :title="howItWorks.title"/>
    <main class="container">
      <ul class="row">
        <li v-for="instruction in howItWorks.list" :key="instruction.title" class="offset-xs-0 col-xs-12 offset-lg-1 col-lg-10 text-body1 q-mb-md">
          <q-icon name="las la-check-square" size="md" color="green"/>
          <span class="text-justify">{{ instruction }}</span>
        </li>
      </ul>

      <div class="row">
        <img
          class="img-fluid offset-xs-0 col-xs-12 offset-lg-1 col-lg-10 q-my-lg"
          src="~assets/img/how_it_works/Masies_x_Viure_diagram_how_it_works.jpg"
          spinner-color="white"
        />
      </div>

      <div class="row text-center q-mt-md">
        <div class="col-xs-12 offset-sm-4 col-sm-4 offset-md-4 col-md-4">

          <q-btn :to="{ name: 'info', hash: '#com-funciona' }" outline size="lg" class="btn btn-outline-primary mt-5" style="width: 100%; border-radius: 0" :href="howItWorks.link">
            {{ howItWorks.btnText }}
          </q-btn>
        </div>
      </div>
    </main>

    <div class="row flex-center">
      <DownArrowSection :hash="'mxv-newsletter'" />
    </div>
  </section>
</template>

<script>
  import DATA from '@/i18n/ca-es/homePage'
  import SectionHeader from '@/components/SectionHeader'
  import DownArrowSection from '@/components/DownArrowSection'

  export default {
    name: "HowItWorksSection",
    components: {
      SectionHeader,
      DownArrowSection
    },
    computed: {
      howItWorks() {
        return DATA.howItWorks
      }
    }
  }
</script>

<style scoped lang="stylus">
ul, li
  list-style: none
  padding-left 0

</style>
